Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class EntityListener

    java.lang.Object
      org.apache.cayenne.map.EntityListener

All Implemented Interfaces:
  java.io.Serializable, XMLSerializable

    public class EntityListener

extends java.lang.Object
implements java.io.Serializable, XMLSerializable

A mapping descriptor of an entity listener class that declares one or more callback methods to be notified of the entity events.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`protected CallbackMap` | `callbacks`
`protected java.lang.String` | `className`

Constructor Summary
`EntityListener()`
`EntityListener(java.lang.String className)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`CallbackMap` | `getCallbackMap()` Returns an object that stores callback methods of this listener.
`java.lang.String` | `getClassName()`
`void` | `setClassName(java.lang.String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### className

    protected java.lang.String className

### callbacks

    protected CallbackMap callbacks

Constructor Detail

### EntityListener

    public EntityListener()

### EntityListener

    public EntityListener(java.lang.String className)

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getCallbackMap

    public CallbackMap getCallbackMap()

  Returns an object that stores callback methods of this listener.

  Returns:
    callback map

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.